# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXExtractFloat

Function

Determines whether an Object can be converted to a floating-point value, and if so, extracts it.

Syntax
`
#include <dx/dx.h>
`

Object DXExtractFloat(Object o, float *fp)

Functional Details

If Object `o` can be converted to a floating-point value (i.e., `TYPE_FLOAT`, `CATEGORY_REAL`, rank 0), this routine extracts it and places it in `*fp`.

Return Value

Returns `o` and sets `*fp` if a floating-point value can be extracted from `o`; otherwise, returns `NULL` without setting an error code.

See Also

`DXExtractInteger, DXExtractNthString, DXExtractParameter, DXExtractString, DXQueryArrayConvert, DXQueryArrayConvertV, DXQueryParameter`

12.8 , "Extracting Module Parameters".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]